This commit is contained in:
Siarhei Fedartsou 2024-10-13 16:36:17 +02:00
parent 66df8f5148
commit 8190a30b72

View File

@ -23,154 +23,154 @@ concurrency:
cancel-in-progress: true cancel-in-progress: true
jobs: jobs:
# windows-release-node: windows-release-node:
# #needs: format-taginfo-docs #needs: format-taginfo-docs
# runs-on: windows-2022 runs-on: windows-2022
# continue-on-error: false continue-on-error: false
# env: env:
# BUILD_TYPE: Release BUILD_TYPE: Release
# steps: steps:
# - uses: actions/checkout@v4 - uses: actions/checkout@v4
# - run: cmake --version - run: cmake --version
# - uses: actions/setup-node@v4 - uses: actions/setup-node@v4
# with: with:
# node-version: 18 node-version: 18
# - run: node --version - run: node --version
# - run: npm --version - run: npm --version
# - name: Prepare environment - name: Prepare environment
# shell: bash shell: bash
# run: | run: |
# PACKAGE_JSON_VERSION=$(node -e "console.log(require('./package.json').version)") PACKAGE_JSON_VERSION=$(node -e "console.log(require('./package.json').version)")
# echo PUBLISH=$([[ "${GITHUB_REF:-}" == "refs/tags/v${PACKAGE_JSON_VERSION}" ]] && echo "On" || echo "Off") >> $GITHUB_ENV echo PUBLISH=$([[ "${GITHUB_REF:-}" == "refs/tags/v${PACKAGE_JSON_VERSION}" ]] && echo "On" || echo "Off") >> $GITHUB_ENV
# - run: npm install --ignore-scripts - run: npm install --ignore-scripts
# - run: npm link --ignore-scripts - run: npm link --ignore-scripts
# - name: Build - name: Build
# shell: bash shell: bash
# run: | run: |
# mkdir build mkdir build
# cd build cd build
# python3 -m venv .venv python3 -m venv .venv
# source .venv/Scripts/Activate source .venv/Scripts/Activate
# python3 -m pip install conan==2.7.1 python3 -m pip install conan==2.7.1
# conan profile detect --force conan profile detect --force
# conan install .. --output-folder=. --build=missing --settings compiler.cppstd=20 # conan install .. --output-folder=. --build=missing --settings compiler.cppstd=20
# ls -la # ls -la
# cmake -DCMAKE_BUILD_TYPE=Release -DENABLE_CONAN=ON -DENABLE_NODE_BINDINGS=ON -DCMAKE_TOOLCHAIN_FILE=./conan_toolchain.cmake .. cmake -DCMAKE_BUILD_TYPE=Release -DENABLE_CONAN=ON -DENABLE_NODE_BINDINGS=ON ..
# cmake --build . --config Release cmake --build . --config Release
# # TODO: MSVC goes out of memory when building our tests # TODO: MSVC goes out of memory when building our tests
# # - name: Run tests # - name: Run tests
# # shell: bash # shell: bash
# # run: | # run: |
# # cd build # cd build
# # cmake --build . --config Release --target tests # cmake --build . --config Release --target tests
# # # TODO: run tests # # TODO: run tests
# # - name: Run node tests # - name: Run node tests
# # shell: bash # shell: bash
# # run: | # run: |
# # ./lib/binding/osrm-extract.exe -p profiles/car.lua test/data/monaco.osm.pbf # ./lib/binding/osrm-extract.exe -p profiles/car.lua test/data/monaco.osm.pbf
# # mkdir -p test/data/ch # mkdir -p test/data/ch
# # cp test/data/monaco.osrm* test/data/ch/ # cp test/data/monaco.osrm* test/data/ch/
# # ./lib/binding/osrm-contract.exe test/data/ch/monaco.osrm # ./lib/binding/osrm-contract.exe test/data/ch/monaco.osrm
# # ./lib/binding/osrm-datastore.exe test/data/ch/monaco.osrm # ./lib/binding/osrm-datastore.exe test/data/ch/monaco.osrm
# # node test/nodejs/index.js # node test/nodejs/index.js
# - name: Build Node package - name: Build Node package
# shell: bash shell: bash
# run: ./scripts/ci/node_package.sh run: ./scripts/ci/node_package.sh
# - name: Publish Node package - name: Publish Node package
# if: ${{ env.PUBLISH == 'On' }} if: ${{ env.PUBLISH == 'On' }}
# uses: ncipollo/release-action@v1 uses: ncipollo/release-action@v1
# with: with:
# allowUpdates: true allowUpdates: true
# artifactErrorsFailBuild: true artifactErrorsFailBuild: true
# artifacts: build/stage/**/*.tar.gz artifacts: build/stage/**/*.tar.gz
# omitBody: true omitBody: true
# omitBodyDuringUpdate: true omitBodyDuringUpdate: true
# omitName: true omitName: true
# omitNameDuringUpdate: true omitNameDuringUpdate: true
# replacesArtifacts: true replacesArtifacts: true
# token: ${{ secrets.GITHUB_TOKEN }} token: ${{ secrets.GITHUB_TOKEN }}
# format-taginfo-docs: format-taginfo-docs:
# runs-on: ubuntu-22.04 runs-on: ubuntu-22.04
# steps: steps:
# - uses: actions/checkout@v4 - uses: actions/checkout@v4
# - name: Use Node.js - name: Use Node.js
# uses: actions/setup-node@v4 uses: actions/setup-node@v4
# with: with:
# node-version: 18 node-version: 18
# - name: Enable Node.js cache - name: Enable Node.js cache
# uses: actions/cache@v4 uses: actions/cache@v4
# with: with:
# path: ~/.npm path: ~/.npm
# key: ${{ runner.os }}-node-${{ hashFiles('**/package-lock.json') }} key: ${{ runner.os }}-node-${{ hashFiles('**/package-lock.json') }}
# restore-keys: | restore-keys: |
# ${{ runner.os }}-node- ${{ runner.os }}-node-
# - name: Prepare environment - name: Prepare environment
# run: | run: |
# npm ci --ignore-scripts npm ci --ignore-scripts
# clang-format-15 --version clang-format-15 --version
# - name: Run checks - name: Run checks
# run: | run: |
# ./scripts/check_taginfo.py taginfo.json profiles/car.lua ./scripts/check_taginfo.py taginfo.json profiles/car.lua
# ./scripts/format.sh && ./scripts/error_on_dirty.sh ./scripts/format.sh && ./scripts/error_on_dirty.sh
# node ./scripts/validate_changelog.js node ./scripts/validate_changelog.js
# npm run docs && ./scripts/error_on_dirty.sh npm run docs && ./scripts/error_on_dirty.sh
# npm audit --production npm audit --production
# docker-image-matrix: docker-image-matrix:
# strategy: strategy:
# matrix: matrix:
# docker-base-image: ["debian", "alpine"] docker-base-image: ["debian", "alpine"]
# needs: format-taginfo-docs needs: format-taginfo-docs
# runs-on: ubuntu-22.04 runs-on: ubuntu-22.04
# continue-on-error: false continue-on-error: false
# steps: steps:
# - name: Check out the repo - name: Check out the repo
# uses: actions/checkout@v4 uses: actions/checkout@v4
# - name: Enable osm.pbf cache - name: Enable osm.pbf cache
# uses: actions/cache@v4 uses: actions/cache@v4
# with: with:
# path: berlin-latest.osm.pbf path: berlin-latest.osm.pbf
# key: v1-berlin-osm-pbf key: v1-berlin-osm-pbf
# restore-keys: | restore-keys: |
# v1-berlin-osm-pbf v1-berlin-osm-pbf
# - name: Docker build - name: Docker build
# run: | run: |
# docker build -t osrm-backend-local -f docker/Dockerfile-${{ matrix.docker-base-image }} . docker build -t osrm-backend-local -f docker/Dockerfile-${{ matrix.docker-base-image }} .
# - name: Test Docker image - name: Test Docker image
# run: | run: |
# if [ ! -f "${PWD}/berlin-latest.osm.pbf" ]; then if [ ! -f "${PWD}/berlin-latest.osm.pbf" ]; then
# wget http://download.geofabrik.de/europe/germany/berlin-latest.osm.pbf wget http://download.geofabrik.de/europe/germany/berlin-latest.osm.pbf
# fi fi
# TAG=osrm-backend-local TAG=osrm-backend-local
# # when `--memory-swap` value equals `--memory` it means container won't use swap # when `--memory-swap` value equals `--memory` it means container won't use swap
# # see https://docs.docker.com/config/containers/resource_constraints/#--memory-swap-details # see https://docs.docker.com/config/containers/resource_constraints/#--memory-swap-details
# MEMORY_ARGS="--memory=1g --memory-swap=1g" MEMORY_ARGS="--memory=1g --memory-swap=1g"
# docker run $MEMORY_ARGS -t -v "${PWD}:/data" "${TAG}" osrm-extract --dump-nbg-graph -p /opt/car.lua /data/berlin-latest.osm.pbf docker run $MEMORY_ARGS -t -v "${PWD}:/data" "${TAG}" osrm-extract --dump-nbg-graph -p /opt/car.lua /data/berlin-latest.osm.pbf
# docker run $MEMORY_ARGS -t -v "${PWD}:/data" "${TAG}" osrm-components /data/berlin-latest.osrm.nbg /data/berlin-latest.geojson docker run $MEMORY_ARGS -t -v "${PWD}:/data" "${TAG}" osrm-components /data/berlin-latest.osrm.nbg /data/berlin-latest.geojson
# if [ ! -s "${PWD}/berlin-latest.geojson" ] if [ ! -s "${PWD}/berlin-latest.geojson" ]
# then then
# >&2 echo "No berlin-latest.geojson found" >&2 echo "No berlin-latest.geojson found"
# exit 1 exit 1
# fi fi
# # removing `.osrm.nbg` to check that whole pipeline works without it # removing `.osrm.nbg` to check that whole pipeline works without it
# rm -rf "${PWD}/berlin-latest.osrm.nbg" rm -rf "${PWD}/berlin-latest.osrm.nbg"
# docker run $MEMORY_ARGS -t -v "${PWD}:/data" "${TAG}" osrm-partition /data/berlin-latest.osrm docker run $MEMORY_ARGS -t -v "${PWD}:/data" "${TAG}" osrm-partition /data/berlin-latest.osrm
# docker run $MEMORY_ARGS -t -v "${PWD}:/data" "${TAG}" osrm-customize /data/berlin-latest.osrm docker run $MEMORY_ARGS -t -v "${PWD}:/data" "${TAG}" osrm-customize /data/berlin-latest.osrm
# docker run $MEMORY_ARGS --name=osrm-container -t -p 5000:5000 -v "${PWD}:/data" "${TAG}" osrm-routed --algorithm mld /data/berlin-latest.osrm & docker run $MEMORY_ARGS --name=osrm-container -t -p 5000:5000 -v "${PWD}:/data" "${TAG}" osrm-routed --algorithm mld /data/berlin-latest.osrm &
# curl --retry-delay 3 --retry 10 --retry-all-errors "http://127.0.0.1:5000/route/v1/driving/13.388860,52.517037;13.385983,52.496891?steps=true" curl --retry-delay 3 --retry 10 --retry-all-errors "http://127.0.0.1:5000/route/v1/driving/13.388860,52.517037;13.385983,52.496891?steps=true"
# docker stop osrm-container docker stop osrm-container
build-test-publish: build-test-publish:
#needs: format-taginfo-docs #needs: format-taginfo-docs
@ -387,34 +387,34 @@ jobs:
uses: actions/setup-node@v4 uses: actions/setup-node@v4
with: with:
node-version: ${{ matrix.node }} node-version: ${{ matrix.node }}
# - name: Enable Node.js cache - name: Enable Node.js cache
# uses: actions/cache@v4 uses: actions/cache@v4
# with: with:
# path: ~/.npm path: ~/.npm
# key: ${{ runner.os }}-node-${{ hashFiles('**/package-lock.json') }} key: ${{ runner.os }}-node-${{ hashFiles('**/package-lock.json') }}
# restore-keys: | restore-keys: |
# ${{ runner.os }}-node- ${{ runner.os }}-node-
# - name: Enable compiler cache - name: Enable compiler cache
# uses: actions/cache@v4 uses: actions/cache@v4
# with: with:
# path: ~/.ccache path: ~/.ccache
# key: ccache-${{ matrix.name }}-${{ github.sha }} key: ccache-${{ matrix.name }}-${{ github.sha }}
# restore-keys: | restore-keys: |
# ccache-${{ matrix.name }}- ccache-${{ matrix.name }}-
# - name: Enable Conan cache - name: Enable Conan cache
# uses: actions/cache@v4 uses: actions/cache@v4
# with: with:
# path: ~/.conan2 path: ~/.conan2
# key: v10-conan-${{ matrix.name }}-${{ github.sha }} key: v10-conan-${{ matrix.name }}-${{ github.sha }}
# restore-keys: | restore-keys: |
# v10-conan-${{ matrix.name }}- v10-conan-${{ matrix.name }}-
# - name: Enable test cache - name: Enable test cache
# uses: actions/cache@v4 uses: actions/cache@v4
# with: with:
# path: ${{github.workspace}}/test/cache path: ${{github.workspace}}/test/cache
# key: v4-test-${{ matrix.name }}-${{ github.sha }} key: v4-test-${{ matrix.name }}-${{ github.sha }}
# restore-keys: | restore-keys: |
# v4-test-${{ matrix.name }}- v4-test-${{ matrix.name }}-
- name: Prepare environment - name: Prepare environment
run: | run: |
echo "CCACHE_DIR=$HOME/.ccache" >> $GITHUB_ENV echo "CCACHE_DIR=$HOME/.ccache" >> $GITHUB_ENV